Subject: Re: Notification: incoming/741

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Tue, 17 Jul 2001 20:03:49 +0700

On 17 Jul 01 at 12:41, [email-masked] wrote:

> [email-masked] wrote:
> >
> > When I run this with 1.3 or 1.2 FvwmIdentify reports no name or icon
> > label as would be expected.  If you run win.setTitle("to some title");
> > I don't know how you could be getting the title you depict in your
> > screenshot.
>
> This rings an ancient bell, it might be something in the environment
> (like $LANG or something) that swing is picking up. I used to get funny
> chars in the title of CDE apps when I had LANG=uk or whatever the
> default was on my system. I think it might be a hacky thing in swing
> that should go away when everything move to the new window manager hints
> standard.

    Actually this looks like a vt100/iso2022 escape sequence ("'<=','(','B'"
is "ESC ( B" -- "select default mapping" (see console_codes(4)). So the
problem seems to be i18n-related.

    I've seen similar "artefacts" with AbiWord in russian locale -- in that
case fvwm-2.4 displays iso2022 escape sequences mixed with actual title
text.  And "ESC ( B" is also a valid is2022 sequence for selecting US ASCII.

    Probably compilation with --enable-multibyte fill fix the situation.

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]